Subject: The First IFIP Conference on e-Commerce, e-Business, e-Government

From: Volker Tschammer <[email-masked]>
Date: Wed, 06 Dec 2000 11:10:03 +0100

We apologise if you get duplicate copies of this announcement